Bug 97834 - sndconfig won't let me choose correct base adress for turtle beach pinnacle soundcard
sndconfig won't let me choose correct base adress for turtle beach pinnacle s...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-22 19:41 EDT by Balthazar
Modified: 2014-03-16 22:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 17:16:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Balthazar 2003-06-22 19:41:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030311 Galeon/1.3.3

Description of problem:
There are two versions of the Turtle Beach Pinnacle - both ISA and PCI. I have
the ISA version. The card can have one of the following three base adresses
(depending on how you set the jumper on the card): 0250, 0260 and 0270. None of
these adresses can be selected in sndconfig. The rest of the options seem to be ok.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run sndconfig as root
2. sndconfig tells you it cant find any PnP-cards.
3. Select 'Turtle Beach Fiji/Pinnacle'
4. Try to select adress 0250 (or 260 and 270)

Additional info:
Comment 1 Bill Nottingham 2003-06-23 10:51:13 EDT
Looking at the source here:

    {MSND_PINNACLE, {5, 7, 9, 10, 11, 12, -1},
     {0x210, 0x220, 0x230, 0x240, 0x290, 0x3e0, -1}, {-1},
     {0x250, 0x260, 0x270, -1}, MPU401_IO, STANDARD_IRQ, {0xb0000, 0xc8000,
                                                          0xd0000, 0xd8000,
                                                          0xe0000, 0xe8000,
                                                          -1},
     HAS_MPU401, "msnd_pinnacle",
     N_("Turtle Beach MultiSound Pinnacle/Fiji"), 2, isa, 0},

So, 0x250/0x260/0x270 shoudl be an option for one of the I/O ports.
Comment 2 Bill Nottingham 2005-01-21 17:16:56 EST
sndconfig is no longer developed, and this release has reached end-of-life.
Closing out old bugs.

Note You need to log in before you can comment on or make changes to this bug.